Page MenuHomePhabricator

Library Bundle logo for The Wikipedia Library
Closed, ResolvedPublic

Description

The Wikipedia Library Library Bundle

  • What are the things everyone in the project should know?
    • The Wikipedia Library provides free access to otherwise paywalled research materials for experienced Wikimedia editors. Until this year, editors signed up manually for each publisher they wanted to access, waited for manual approval from a team member, and then received their access details. Starting later this year, a number of publishers will be joining a 'Library Bundle' of resources which can be accessed immediately without manual approval by any editor who meets our technical criteria of being 'experienced'. We'd like a logo which visually signposts the Library Bundle, to use on the Library Card platform (https://wikipedialibrary.wmflabs.org/).

Project details

  • What do you want to achieve (goals)?
    • We want a logo that can be used to designate entry points participants of the Library Bundle.
  • Who is your target audience (be specific)?
    • Wikimedia contributors
  • How do you want your audience to feel?
    • We want this to convey a sense of easy, immediate, access.
  • What medium do you have in mind and how do you want to distribute it?
  • Do you already have an idea of what you need to roll out your project? If so, please check all that apply (i.e. [x]):
    • Blog
    • Page on wiki
    • Social media
    • Email or MassMessage
    • Presentation
    • Video
    • Infographic
    • Diagram
    • Art piece
    • Other: _______
    • I don’t know
  • How are you measuring your success (key performance indicators)?
    • Number of users accessing Library Bundle resources
  • What organizational goal is this linked to? (please link to current Annual Plan details)
  • When is this due?
    • Planning: We're currently in the process of planning
    • Production: August 2019
    • Launch: September (precise date currently unclear, hope to have a more definite aim in the next few weeks)
  • Who is leading this project on your team?
    • [Sam Walton - Program Officer - swalton@wikimedia.org]

Details

Due Date
Sep 30 2019, 7:00 PM

Event Timeline

Restricted Application added subscribers: Sadads, Aklapper. · View Herald TranscriptJul 22 2019, 11:25 AM

Hi @Samwalton9!
Thank you for this request!
I am not able to take a new task before Wikimania, so I could start after (August 20). If it's really just a logo that you need, then I think we will still have enough time for a tentative deadline of early September.
If this is ok with with you, I will reach out to you on August 20 for any further details I might need.

Hang

hdothiduc triaged this task as Medium priority.Jul 25 2019, 1:03 AM
hdothiduc moved this task from Inbox to Needs Discussion on the CommRel-Design board.

That should be fine, thanks!

Hi @hdothiduc - hope you enjoyed Wikimania! Let me know if/what you need from me on this :)

Thank you, I definitely did! I hope, you did, as well.

I will have to start working on this towards the end of next week - do you have a set launch date, yet? I am wondering if you already had any visual symbols in mind that would represent this feature.
I am just curious as that would be a good starting point for me.

And when you say publisher boxes on https://wikipedialibrary.wmflabs.org/partners/, you mean the logo will places in the boxes of publishers that are part of the bundle?

Just to make sure, the logo should say "Library Bundle" or "Wikipedia Library Bundle"?

do you have a set launch date, yet?

We're currently looking at launching in September/October.

wondering if you already had any visual symbols in mind that would represent this feature

In our UI mockups I was using this symbol as a placeholder:

We also have the Wikipedia Library owl logo, which might be something that could be incorporated. It's perhaps too complex or shouldn't be duplicated from its primary use of indicating TWL as a whole, but something to be aware of anyway: https://commons.wikimedia.org/wiki/File:Wikipedia_Library_owl.svg

And when you say publisher boxes on https://wikipedialibrary.wmflabs.org/partners/, you mean the logo will places in the boxes of publishers that are part of the bundle?

So the places where I see this being used at the moment are:

  • The home page, where we'll have a box explaining the 'Library Bundle' concept. This is the current mockup:
  • In the boxes on /partners/ this would probably go in the corner. Excuse the misalignment (a bug), but we have this simple corner banner implemented as a placeholder. I think ideally we'd replace that with the logo for consistency:

Just to make sure, the logo should say "Library Bundle" or "Wikipedia Library Bundle"?

I'm actually not sure whether it should say anything, or just be a visual indicator. I'd be interested to see ideas for both actually, if that's possible! I think it should say 'Library Bundle'. We haven't been terribly consistent with names...

Thanks!

hdothiduc set Due Date to Sep 30 2019, 7:00 PM.
hdothiduc moved this task from To-Do to Started on the CommRel-Design board.Sep 4 2019, 12:01 AM

Heya,

Thank you for the additional details.
So, to me this sounds more like an icon and a little bit less like a logo (but definitely not a clear distinction). I am only saying this because when designing this, I want to keep in mind that it should be somewhat recognizable even when it's displayed quite small.
I tried to follow this guide as muss as possible: https://design.wikimedia.org/style-guide/visual-style_icons.html
At the same time with the owl logo there is also something that established that I don't want to break with so much.

Here are some drafts:

I tried a new book style that features a filled shape instead of just strokes. But this version would kind of break a bit with the existing owl logo.

The first version with the band, I can imagine it could have some kind of symbol on the band, but it has to be very simple.

Let me know what you think of these!

We really like these! And yes, now that you've pointed out the distinction it sounds like this would be more of an icon than a logo :)

I think the 2nd is our current favourite - the bow is a nice indicator of a wrapped-up bundle & we prefer the white fill to the block black. Personally, I think I prefer the rounded book style from the the 3rd.

I wonder if there's a way we could incorporate the idea of this bundle being open/accessible? I like the idea of the books being wrapped up as a literal bundle, but the other idea we want to get across is that these resources are easy to access and immediately available - I'm not sure if there's a way to succinctly include that idea.

Ok, that's good to hear!

I can iterate on the second version. If I would change the shape of the books, I think we have to also update the shape of the book in the owl logo - is that possible? I really think they should be the same for consistency in brand/identity design.

Regarding your last point, I am a little worried that it would become too complex, but I will think about that more.
What comes to mind first for me is

  • some kind of download symbol (connotation that you can get it immediately)
  • some kind of unlocked symbol ("you now have access")

Let me know if you think of something.

If I would change the shape of the books, I think we have to also update the shape of the book in the owl logo - is that possible? I really think they should be the same for consistency in brand/identity design.

Oh right! I had totally missed that the book shape there was the same as in the TWL logo. Perhaps that shape does make most sense then.

Regarding your last point, I am a little worried that it would become too complex

I can absolutely see that - if there isn't an obvious way to incorporate this then I think we'll be more than happy with the current design direction!

Yes, if you don't want to make changes to the TWL logo (which I totally understand), then I would just keep working with the one from there.

Here is something that I've tried to incorporate the download idea:

When testing different versions in a mockup, I think our original favorite works best, when scaled down really small:


What do you think?

My suggestion: stick with just the bow, maybe even make the bow bigger. To further explain that resources are immediately available you could also have a tooltip/hover saying that when you hover over the icon.
Can you give me sizes with which the icon should work?

My suggestion: stick with just the bow, maybe even make the bow bigger. To further explain that resources are immediately available you could also have a tooltip/hover saying that when you hover over the icon.

Agreed! Thanks for exploring that idea. We're still in favour of the 2nd option in T228647#5466694.

Can you give me sizes with which the icon should work?

On the partner pages it looks like the icon would be shown at approx 50x50px. On the home page, it would be more like 125x125px.

Ok, I think next/last step is that I will make sure your (and also my) favorite option looks good at both of these sizes.
You will need a png or svg? And upload to Commons?

SVG would be preferable, and Commons upload would be useful!

Ok, here is the svg. I think it looks good small and big. Do you want to test it first before I upload to Commons?
If not, I will just upload it with the name "Wikipedia Library bundle icon".

Thanks! I think it can go straight up :)

Great, here it is: https://commons.wikimedia.org/wiki/File:Wikipedia_Library_Bundle_icon.svg

Let me know if you need anything else from me or if I can close this task.

Thank you so much - You can close this task, appreciate your work on this!

hdothiduc closed this task as Resolved.Sep 30 2019, 9:31 PM

Great! :) Closing this task then. Let me know if there are any problems!